Option Explicit

#include "cons_log.bi"

dim shared m_LogHandle as integer = 0
dim shared m_Debug as integer = 0

Sub Log_Enable(s as string = "")
	if m_LogHandle = 0 then
		m_LogHandle = FreeFile
		if s > "" then
			Open s for output as #m_LogHandle
		else
			Open cons for output as #m_LogHandle
		end if
	end if
End Sub

Sub Log_Disable()
	if m_LogHandle = 0 then
		close #m_LogHandle
		m_LogHandle = 0
	end if
End Sub

Sub Log_print(s as string)
	if m_LogHandle <> 0 then
		print #m_LogHandle, s & chr(10);
	end if
End Sub

Sub Dbg_Enable()
	m_Debug = 1
End Sub

Sub Dbg_Disable()
	m_Debug = 0
End Sub

#ifdef DEBUG
Sub Dbg_Print(s as string)
	if m_Debug <> 0 then
		if m_LogHandle <> 0 then
			print #m_LogHandle, s & chr(10);
		end if
	end if
End Sub
#endif
